/**
 * Any CSS included here will be global. The classic template
 * bundles Infima by default. Infima is a CSS framework designed to
 * work well for content-centric websites.
 */
 
 @import "~@fontsource/inter";
 @import "~@fontsource/inter/600.css";
 @import "~@fontsource/inter/800.css";
 @import "~@fontsource/poppins";

/* You can override the default Infima variables here. */
:root {
  /* Typography */
  --font-sans: "Inter", "Open Sans", sans-serif;
  --font-sans-heading: "Inter", "Open Sans", sans-serif;
  --font-serif: "Zilla Slab", "Times New Roman", serif;
  --font-mono: "SFMono-Regular", "Menlo", monospace;
  --font-size-00: 0.75rem;
  --font-size-0: 0.875rem;
  --font-size-1: 1rem;
  --font-size-1-25: 1.25rem;
  --font-size-2: 1.25rem;
  --font-size-3: 1.5rem;
  --font-size-4: 1.75rem;
  --font-size-5: 2.5rem;
  --font-size-body: 1.125rem;

  
  /* Defaults */
  --ifm-color-primary: #3578e5;
    --ifm-color-secondary: #ebedf0;
    --ifm-color-success: #00a400;
    --ifm-color-info: #54c7ec;
    --ifm-color-warning: #ffba00;
    --ifm-color-danger: #fa383e;

    --ifm-color-primary: #15329e;
    --ifm-color-primary-dark: #132d8e;
    --ifm-color-primary-darker: #122a86;
    --ifm-color-primary-darkest: #0f236f;
    --ifm-color-primary-light: #1737ae;
    --ifm-color-primary-lighter: #1839b6;
    --ifm-color-primary-lightest: #1b41cd;
    
  --docusaurus-highlighted-code-line-bg: rgba(0, 0, 0, 0.1);
  
  --ifm-navbar-background-color: var(--ifm-background-surface-color);
  --ifm-navbar-height: 3.75rem;
  --ifm-navbar-item-padding-horizontal: 0.75rem;
  --ifm-navbar-item-padding-vertical: 0.25rem;
  --ifm-navbar-link-color: var(--ifm-font-color-base);
  --ifm-navbar-link-active-color: var(--ifm-link-color);
  --ifm-navbar-padding-horizontal: var(--ifm-spacing-horizontal);
  
  --ifm-footer-margin-top: 0.75rem;
  --ifm-footer-logo-max-width: 2rem;
  --ifm-footer-max-width: 1rem;
  --ifm-footer-padding: 1rem;
  
  
  --ifm-global-spacing: 1rem;
  --ifm-spacing-vertical: var(--ifm-global-spacing);
  --ifm-spacing-horizontal: var(--ifm-global-spacing);

  /* ifm font */
  --ifm-code-font-size: 95%;
  --ifm-font-family-base: var(--font-sans);
  --ifm-heading-font-weight: 600;
  --ifm-font-weight-bold: 600;  
}

/* For readability concerns, you should choose a lighter palette in dark mode. */
[data-theme='dark'] {
  --ifm-color-primary: #42b7ff;
  --ifm-color-primary-dark: #22abff;
  --ifm-color-primary-darker: #12a5ff;
  --ifm-color-primary-darkest: #008be1;
  --ifm-color-primary-light: #62c3ff;
  --ifm-color-primary-lighter: #72c9ff;
  --ifm-color-primary-lightest: #a2dcff;
}